zeitgeist totem plugin not enabled by default

Bug #1621162 reported by Jeremy Bicha on 2016-09-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
totem (Ubuntu)
Undecided
Unassigned
ubuntu-settings (Ubuntu)
Undecided
Unassigned

Bug Description

The zeitgeist totem plugin is not enabled by default. The intent is for it to be enabled, see near the bottom of:

https://bazaar.launchpad.net/~ubuntu-desktop/+junk/ubuntu-settings/view/head:/debian/ubuntu-settings.gsettings-override

- I think that's because the override should be org.gnome.totem instead of org.gnome.Totem
- My understanding is that when totem starts, it loads all the plugin listed in gsettings' "enabled-plugins" and loads all plugins that have Builtin=true. It then writes the combined list to "enabled-plugins".
- Every other plugin in the gsettings override is Builtin, so the only purpose for that line is to try to activate zeitgeist by default. But this method doesn't work for upgraders since the list of plugins is already "user-configured" by totem when it runs.
- Builtin plugins are not show in Preferences>Plugins. They cannot be disabled by the user (without editing system files).

I propose that we set the Zeitgeist plugin to Builtin=true. If someone wants to configure Zeitgeist, they should use System Settings>Security & Privacy in Unity or install and run activity-log-manager in other desktops.

If people complain (or if this is a problem), we could split the Zeitgeist plugin to another package.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: totem-plugins 3.21.91-0ubuntu1
ProcVersionSignature: Ubuntu 4.8.0-5.6-generic 4.8.0-rc4
Uname: Linux 4.8.0-5-generic x86_64
ApportVersion: 2.20.3-0ubuntu7
Architecture: amd64
CurrentDesktop: GNOME
Date: Wed Sep 7 11:55:35 2016
EcryptfsInUse: Yes
InstallationDate: Installed on 2016-08-11 (26 days ago)
InstallationMedia: Ubuntu-GNOME 16.10 "Yakkety Yak" - Alpha amd64 (20160811)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: totem
UpgradeStatus: No upgrade log present (probably fresh install)
XorgLog: Error: [Errno 2] No such file or directory: '/var/log/Xorg.0.log'

Jeremy Bicha (jbicha) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package totem - 3.21.91-0ubuntu2

---------------
totem (3.21.91-0ubuntu2) yakkety; urgency=medium

  * Add ubuntu-make-zeitgeist-plugin-builtin.patch:
    - Make sure that zeitgeist plugin is enabled by default (LP: #1621162)

 -- Jeremy Bicha <email address hidden> Wed, 07 Sep 2016 12:21:05 -0400

Changed in totem (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-settings - 16.10.2

---------------
ubuntu-settings (16.10.2) yakkety; urgency=medium

  * debian/ubuntu-settings.override:
    - Skip "Let's Go Shopping" pop-up on first run of Software app.
      This change was accidentally dropped in 16.10.1
    - Drop totem override that doesn't work (LP: #1621162)
    - Drop gedit override since the zeitgeist plugin isn't installed
      by default so this override doesn't work either (LP: #1621176)
    - Drop font-hinting override; 'slight' is now upstream default
    - Tweak Epiphany search URL and update GNOME Shell favorites
      (copied from ubuntu-gnome-default-settings)

 -- Jeremy Bicha <email address hidden> Wed, 07 Sep 2016 12:57:06 -0400

Changed in ubuntu-settings (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers